#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - pam_user_map preinstallation
#
# Creation   :  2022-04-03 holbru
# Last update:  $Id: preinstall.sh 94135 2022-04-03 20:59:37Z hbfl $
#
# Copyright (c) 2022-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=pam_user_map

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed_version=$(eisman check mariadb103 3.2.0)

case ${installed_version} in
new)

pam_bin='pam_user_map.so
user_map.conf'

    if [ -f /etc/filelist.d/mariadb103-files.txt ]
    then
        for i in ${pam_bin}
        do
            sed -i "/${i}$/d" /etc/filelist.d/mariadb103-files.txt
        done
    fi
    ;;
*)
    :
    ;;
esac

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
